/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20180427 (64-bit version)(RM)
 * Copyright (c) 2000 - 2018 Intel Corporation
 * 
 * Disassembling to non-symbolic legacy ASL operators
 *
 * Disassembly of SSDT-2.aml, Thu Jun  4 23:58:37 2020
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000956 (2390)
 *     Revision         0x02
 *     Checksum         0xF9
 *     OEM ID           "ALASKA"
 *     OEM Table ID     "A M I "
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20091013 (537464851)
 */
DefinitionBlock ("", "SSDT", 2, "ALASKA", "A M I ", 0x00000000)
{
    /*
     * External declarations were imported from
     * a reference file -- DSDT.aml
     */

    External (_SB_.PCI0.XHCI.RHUB, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS01, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS02, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS03, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS04, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS05, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS06, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS07, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS08, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS09, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS10, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS11, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS12, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS13, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.HS14, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.SS01, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.SS02, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.SS03, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.SS04, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.SS05, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.SS06, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.SS07, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.SS08, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.SS09, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.SS10, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.USR1, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.XHCI.RHUB.USR2, DeviceObj)    // (from opcode)
    External (UMAP, UnknownObj)    // (from opcode)

    Scope (\_SB.PCI0.XHCI.RHUB)
    {
        Method (GPLD, 2, Serialized)
        {
            Name (PCKG, Package (0x01)
            {
                Buffer (0x10){}
            })
            CreateField (DerefOf (Index (PCKG, 0x00)), 0x00, 0x07, REV)
            Store (0x01, REV)
            CreateField (DerefOf (Index (PCKG, 0x00)), 0x40, 0x01, VISI)
            Store (Arg0, VISI)
            CreateField (DerefOf (Index (PCKG, 0x00)), 0x57, 0x08, GPOS)
            Store (Arg1, GPOS)
            Return (PCKG)
        }

        Method (GUPC, 1, Serialized)
        {
            Name (PCKG, Package (0x04)
            {
                0x00, 
                0xFF, 
                0x00, 
                0x00
            })
            Store (Arg0, Index (PCKG, 0x00))
            Return (PCKG)
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS01)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x01))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS02)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x02))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS03)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x03))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS04)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x04))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS05)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x05))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS06)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x06))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS07)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x07))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS08)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x08))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS09)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x09))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS10)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x0A))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS11)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            If (LEqual (And (UMAP, 0x0400), 0x0400))
            {
                Return (GPLD (0x01, 0x0B))
            }
            Else
            {
                Return (GPLD (0x00, 0x0B))
            }
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS12)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x0C))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS13)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x0D))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.HS14)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            If (LEqual (And (UMAP, 0x2000), 0x2000))
            {
                Return (GPLD (0x01, 0x0E))
            }
            Else
            {
                Return (GPLD (0x00, 0x0E))
            }
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.USR1)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x00))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x00, 0x00))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.USR2)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x00))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x00, 0x00))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.SS01)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x0A))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.SS02)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x09))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.SS03)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x03))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.SS04)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x04))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.SS05)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x0C))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.SS06)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x0D))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.SS07)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x05))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.SS08)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x01, 0x06))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.SS09)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x00, 0x00))
        }
    }

    Scope (\_SB.PCI0.XHCI.RHUB.SS10)
    {
        Method (_UPC, 0, NotSerialized)  // _UPC: USB Port Capabilities
        {
            Return (GUPC (0x01))
        }

        Method (_PLD, 0, NotSerialized)  // _PLD: Physical Location of Device
        {
            Return (GPLD (0x00, 0x00))
        }
    }
}

