/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20180427 (64-bit version)(RM)
 * Copyright (c) 2000 - 2018 Intel Corporation
 * 
 * Disassembling to non-symbolic legacy ASL operators
 *
 * Disassembly of SSDT-6.aml, Thu Jun  4 23:58:36 2020
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000015A (346)
 *     Revision         0x01
 *     Checksum         0x84
 *     OEM ID           "KGP"
 *     OEM Table ID     "X299PMCR"
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20180810 (538445840)
 */
DefinitionBlock ("", "SSDT", 1, "KGP", "X299PMCR", 0x00000000)
{
    /*
     * External declarations were imported from
     * a reference file -- DSDT.aml
     */

    External (_SB_.PCI0, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.PMC1, DeviceObj)    // (from opcode)
    External (DTGP, MethodObj)    // 5 Arguments (from opcode)

    Scope (\_SB.PCI0)
    {
        Scope (PMC1)
        {
            Name (_STA, Zero)  // _STA: Status
        }

        Device (PMCR)
        {
            Name (_ADR, 0x001F0002)  // _ADR: Address
            Method (_PRW, 0, NotSerialized)  // _PRW: Power Resources for Wake
            {
                Return (Package (0x02)
                {
                    0x69, 
                    0x03
                })
            }

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
                Store (Package (0x0E)
                    {
                        "AAPL,slot-name", 
                        Buffer (0x09)
                        {
                            "Built In"
                        }, 

                        "model", 
                        Buffer (0x1E)
                        {
                            "Intel X299 Series Chipset PMC"
                        }, 

                        "name", 
                        Buffer (0x0A)
                        {
                            "Intel PMC"
                        }, 

                        "device-id", 
                        Buffer (0x04)
                        {
                             0xA1, 0xA2, 0x00, 0x00                         
                        }, 

                        "device_type", 
                        Buffer (0x0F)
                        {
                            "PMC-Controller"
                        }, 

                        "built-in", 
                        Buffer (One)
                        {
                             0x00                                           
                        }, 

                        "compatible", 
                        Buffer (0x0D)
                        {
                            "pci8086,a2a1"
                        }
                    }, Local0)
                DTGP (Arg0, Arg1, Arg2, Arg3, RefOf (Local0))
                Return (Local0)
            }
        }
    }
}

